# Struct_TypeCode_Static.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`
`#include "tao/Null_RefCount_Policy.h"`

Include dependency graph for Struct_TypeCode_Static.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >

## Detailed Description

Id
  Struct_TypeCode_Static.h,v 1.3 2005/05/12 00:54:18 ossama Exp

Header file for static `tk_struct` and `tk_except` `CORBA::TypeCodes`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

  Carlos O'Ryan